import request from '@/utils/request'

// /boman-web-core/core/ryrl/list
// 查询疫苗信息列表
export function listInfo(query) {
  return request({
    url: '/boman-web-core/birthRecords/listDie',
    method: 'get',
    params: query
  })
}

// 查询常住疫苗信息列表
export function listInfoch(query) {
  return request({
    url: '/boman-web-core/core/ryrl/listCz',
    method: 'get',
    params: query
  })
}


export function delInfohy(query) {
  return request({
    url: '/boman-web-core/core/czrk/reduction/' + query,
    method: 'get'
  })
}


// 查询疫苗信息详细
export function getInfo(id) {
  return request({
    url: '/boman-web-core/core/czrk/findXsInfo',
    method: 'get',
    params: id
  })
}

// 户籍地址 新增修改
export function listRoleer(data) {
  return request({
    url: '/boman-web-core/administrativeInfo/treeSelect',
    method: 'get',
    // data
  })
}

// 户籍地址搜索
export function listRoleerseavh(data) {
  return request({
    url: '/boman-web-core/administrativeInfo/treeSelectVillage',
    method: 'get',
    // data
  })
}


// 新增人员信息
export function addInfo(data) {
  return request({
    url: '/boman-web-core/core/czrk/addBabyCzrk',
    method: 'post',
    data: data
  })
}

// 修改疫苗信息
// export function updateInfo(data) {
//   return request({
//     url: '/boman-web-core/core/ryrl/editRlry',
//     method: 'post',
//     data: data
//   })
// }
export function updateInfo(data) {
  return request({
    url: '/boman-web-core/core/ryrl/editRlry',
    method: 'post',
    data: data
  })
}

// boman-web-core/core/czrk/deleteCzrk
// 删除疫苗信息
export function delInfo(query) {
  return request({
    url: '/boman-web-core/core/czrk/changeCzrk' ,
    method: 'post',
    data: query
  })
}

// 导出疫苗信息
export function exportInfo(query) {
  return request({
    url: '/boman-web-core/core/info/export',
    method: 'post',
    data: query
  })
}

// // 查询身份证信息
// export function idces(query) {
//   return request({
//     url: '/boman-web-core/core/info/findHjInfo',
//     method: 'post',
//     data: query
//   })
// }


// 网格
export function listRoleergthwg(data) {
  return request({
    url: '/boman-web-core/gridInfo/treeSelect',
    method: 'post',
    data: data
  })
}
// 查询身份证信息
export function idces(query) {
  return request({
    url: '/boman-web-core/core/czrk/findHjInfo',
    method: 'post',
    data: query
  })
}
// 导出参数
export function exportConfig(query) {
  return request({
    url: '/boman-file/common/file/async/export',
    method: 'post',
    data: query
  })
}

// 导出参数
export function exportConfigtyr(query) {
  return request({
    url: '/boman-file/common/file/before/download ',
    method: 'get',
    params: query
  })
}

// 删除疫苗名称信息
export function delInfort(id) {
  return request({
    url: '/boman-web-core/core/info/vaccineInfoUser/' + id,
    method: 'get'
  })
}

// 列表查看疫苗信息
export function yiaoe(query) {
  return request({
    url: '/boman-web-core/core/info/findInfoUser',
    method: 'post',
	data: query
  })
}

// 导出错误日志
export function importLog(query){
  return request({
    url: '/boman-web-core/ymjzImportError/list',
    method: 'get',
    data: query
  })
}
